> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rep share case



## OpenAPI

````yaml get /beta/guardian-ops/rep-share/cases/{caseId}
openapi: 3.0.1
info:
  title: abusix-api
  version: '2026-04-08T06:45:02Z'
servers:
  - url: https://api.abusix.com
security: []
paths:
  /beta/guardian-ops/rep-share/cases/{caseId}:
    get:
      parameters:
        - name: caseId
          in: path
          required: true
          schema:
            type: string
        - name: x-abusix-accountid
          in: header
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepShareCase'
        '400':
          description: 400 response
          content: {}
        '401':
          description: 401 response
          content: {}
        '404':
          description: 404 response
          content: {}
components:
  schemas:
    RepShareCase:
      required:
        - customer_id
        - event_count
        - event_types
        - id
        - last_event_date
        - state
        - tenant_id
      type: object
      properties:
        customer_id:
          type: string
          description: Customer identifier
        event_count:
          type: integer
          description: Total number of events in this case
        event_ips:
          type: array
          description: IP addresses associated with events
          items:
            type: string
        event_types:
          type: array
          description: Types of events in this case
          items:
            type: string
        first_event_date:
          type: string
          description: Timestamp of the first event
          format: date-time
        id:
          type: string
          description: Unique case identifier
        last_event_date:
          type: string
          description: Timestamp of the most recent event
          format: date-time
        state:
          type: string
          description: 'Current state of the case: NEW, IN_PROGRESS, RESOLVED, or CLOSED'
        tenant_id:
          type: string
          description: Tenant identifier

````